Passer au contenu principal
GET
/
oauth
/
userinfo
Get user info
curl --request GET \
  --url https://api.hyperline.co/oauth/userinfo \
  --header 'Authorization: Bearer <token>'
{
  "given_name": "John",
  "family_name": "Doe",
  "name": "John Doe",
  "picture": "https://...",
  "email": "john@doe.com",
  "email_verified": true
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Réponse

200 - application/json
given_name
string | null
requis

User given name.

Exemple:

"John"

family_name
string | null
requis

User family name.

Exemple:

"Doe"

name
string | null
requis

User full name.

Exemple:

"John Doe"

picture
string<uri> | null
requis

User picture URL.

Exemple:

"https://..."

email
string<email>
requis

User email.

Exemple:

"john@doe.com"

email_verified
boolean
requis

Indicates if the user email is verified.

Exemple:

true